# Get loan rate caps

Endpoint: GET /people/{personId}/loans/{loanId}/rate-caps
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Response 200 fields (application/json):

  - `createdAt` (string)
    When the rate cap was created.

  - `endDate` (string)
    Rate cap end date in product timezone, inclusive. If null, applies until end of loan/draw.

  - `id` (string)
    The rate cap identifier.

  - `maxRate` (number)
    The maximum spread interest rate that can accrue.
If the calculated rate on a given day is greater than `maxRate`, then the system will
cap the rate and accrue a maximum of `maxRate` on the loan. Else, we will use the calculated rate.
Format is decimal. For example, 0.36 is 36% annual rate cap.

  - `rateCapReason` (string)
    The reason for `maxRate`. This is not used for any compliance logic, only for informational purposes.
- `MLA` - Military Lending Act (36% cap for active duty military)
- `SCRA` - Servicemembers Civil Relief Act
- `federal` - Other federal regulations
- `state` - State-specific regulations
- `other` - Other regulatory or business reasons
    Enum: "MLA", "SCRA", "federal", "state", "other"

  - `startDate` (string)
    Rate cap start date in product timezone, inclusive.

  - `updatedAt` (string)
    When the rate cap was last updated.

